Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.servlets.jsp.taglib
Class GetExceptionTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.GetExceptionTag

public class GetExceptionTag
extends javax.servlet.jsp.tagext.TagSupport

Retrieve the Exception that was thrown by a `processing-node` If no exception was throw return null

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `type`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`GetExceptionTag()`

Method Summary
`int` | `doStartTag()` Return the value of the result exception
`java.lang.String` | `getType()`
`void` | `release()` Release this tag.
`void` | `setType(java.lang.String type)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected java.lang.String type

Constructor Detail

### GetExceptionTag

    public GetExceptionTag()

Method Detail

### release

    public void release()

  Release this tag.

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Return the value of the result exception

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved